<template>
  <div class="app-container">
    <!-- <search-form
      :list-loading="listLoading"
      @change="searchHandle"
    /> -->
    <table-list
      :list-loading="listLoading"
      :data="tableData2"
      :columns="listConfig"
      :current-page="currentPage"
      :page-size="pageSize"
      :total-records="totalRecords"
      @currentChange="pageHandle"
      @sizeChange="sizeChange"
      :isAdd="true"
      @add="openPopup"
    />
    <popup-edit
      :isShow="isDtlShow"
      :curObj="curObj"
      @close="closePopup"
    />
  </div>
</template>
<script>
import { arrToObj } from '@/utils'
import SearchForm from './components/searchForm/News'
import PopupEdit from './components/popup/SaleEdit'
import baseTable from '_m/baseTable.js'
export default {
  name: 'HouseNews',
  components: {
    SearchForm,
    PopupEdit,
  },
  provide() {
    return {
      parentData: this
    }
  },
  mixins: [baseTable],
  data() {
    return {
      apiStr: 'house.admestatesalelist',
      searchForm: {},
      isDtlShow: false,
      // noCreated: true,
      curObj: {},
    }
  },
  computed: {
    tableData2() {
      const arr = [...this.tableData]
      arr.map(item => {})
      return arr
    }
  },
  created() {
    const query = this.$route.query
    this.searchForm.estate_id = query.id || ''
  },
  mounted() {
    this.listConfig = {
      rows: [
        { label: '分类', prop: 'sale_type', type: 'flag', flags: arrToObj(this.$dictData.sale_type	) },
        { label: '置业经理', prop: 'sale_name' },
        { label: '头像', prop: 'sale_avatar', type: 'img' },
        { label: '联系电话', prop: 'sale_phone' },
        { label: '销售标签', prop: 'custom_tag'},
        { label: '操作', width: 120, type: 'handle2', operations:
          [
            { label: '编辑', func: this.openPopup, btnType: 'primary' },
            { label: '删除', func: this.delHandle, btnType: 'danger' },
          ]
        }
      ]
    }
  },
  methods: {
    delHandle(row) {
      this.$msg(`您确定要删除该置业顾问吗？`, 'confirm', () => {
        this.$api.house.admestatesaledel({
          id: row.id,
        }).then(data => {
          this.$msgs(`已删除！`)
          this.fetchData()
        })
      }, null, true)
    },
    openPopup(row) {
      if (row && row.id) {
        this.curObj = row
      } else {
        this.curObj = {}
      }
      this.isDtlShow = true
    },
    closePopup(obj) {
      this.isDtlShow = false
      if (obj) {
        this.fetchData()
      }
    }
  }
}
</script>
